Package org.apache.maven.scm.provider.git.gitexe.command.blame

## Class GitBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.blame.GitBlameCommand

All Implemented Interfaces:
  `Command`, `GitCommand`

    public class GitBlameCommand
    extends AbstractBlameCommand
    implements GitCommand

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`GitBlameCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(java.io.File workingDirectory, java.lang.String filename, boolean ignoreWhitespace)`
`BlameScmResult` `executeBlameCommand​(ScmProviderRepository repo, ScmFileSet workingDirectory, java.lang.String filename)`
`protected ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet workingDirectory, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitBlameCommand

    public GitBlameCommand()

### Method Detail

#### executeCommand

    protected ScmResult executeCommand​(ScmProviderRepository repository,
                                       ScmFileSet workingDirectory,
                                       CommandParameters parameters)
                                throws ScmException

Overrides:
  `executeCommand` in class `AbstractBlameCommand`
Throws:
  `ScmException`

#### executeBlameCommand

    public BlameScmResult executeBlameCommand​(ScmProviderRepository repo,
                                              ScmFileSet workingDirectory,
                                              java.lang.String filename)
                                       throws ScmException

Specified by:
  `executeBlameCommand` in class `AbstractBlameCommand`
Throws:
  `ScmException`

#### createCommandLine

    protected static org.codehaus.plexus.util.cli.Commandline createCommandLine​(java.io.File workingDirectory,
                                                                                java.lang.String filename,
                                                                                boolean ignoreWhitespace)